<div class="page-header">
  <p>RESULTS</p>
  <hr />
</div>
<div *ngIf="loading">
  no data
</div>
<div
class="search-results"
infiniteScroll
[infiniteScrollDistance]="2"
[infiniteScrollThrottle]="50"
[infiniteScrollThrottle]="throttle"
(scrolled)="onScroll()"
>
  <div class="row">
    <div class="col-sm-4" *ngFor="let result of results">
        <div class="card bg-light mb-3" (click)="open(content, result.id)">
            <div class="card-header">{{result.datetime}}</div>
            <div class="card-body">
                <h4 class="card-title">{{result.mixnum}}</h4>
                <p class="card-text">
                  {{result.cname}}
                </p>
                <p class="card-text">
                  {{result.ct_name}}
                </p>
                <p class="card-text">
                  {{result.result_air}} %
                </p>
                <p class="card-text">
                  {{result.result_quantity}} kg/m³
                </p>
            </div>
        </div>

        <ng-template #content let-c="close" let-d="dismiss">
          <div class="modal-header">
              <h4 class="modal-title">Result detail</h4>
              <button (click)="d('Cross click')" aria-label="Close" class="close" type="button">
                  <span aria-hidden="true">&times;</span>
              </button>
          </div>
          <div class="modal-body table-responsive" *ngFor="let data of datas">
            <table class="table table-sm">
              <tbody>
                <tr>
                    <th scope="row"></th>
                    <td colspan="3">{{data.cname}}</td>
                </tr>
                <tr>
                    <th scope="row"></th>
                    <td colspan="3">{{data.ct_name}}</td>
                </tr>
                <tr>
                    <th scope="row"></th>
                    <td colspan="3">{{data.sname}}</td>
                </tr>
                <tr>
                    <th scope="row"></th>
                    <td colspan="3">{{data.memo}}</td>
                </tr>
                <tr>
                  <th scope="row"></th>
                  <td colspan="3">{{data.datetime}}</td>
                </tr>
                <tr>
                  <th scope="row"></th>
                  <td colspan="3">{{data.mixnum}}</td>
                </tr>
              </tbody>
            </table>
            <table class="table table-bordered">
              <thead>
                  <tr>
                      <th>#</th>
                      <th>질량</th>
                      <th>밀도</th>
                  </tr>
              </thead>
              <tbody>
                <tr>
                    <th scope="row">W1</th>
                    <td>{{data.w1_unit}}</td>
                    <td>{{data.w1_density}}</td>
                </tr>
                <tr>
                    <th scope="row">W2</th>
                    <td>{{data.w2_unit}}</td>
                    <td>{{data.w2_density}}</td>
                </tr>
                <tr>
                  <th scope="row">W3</th>
                  <td>{{data.w3_unit}}</td>
                  <td>{{data.w3_density}}</td>
                </tr>
                <tr>
                  <th scope="row">C1</th>
                  <td>{{data.c1_unit}}</td>
                  <td>{{data.c1_density}}</td>
                </tr>
                <tr>
                  <th scope="row">C2</th>
                  <td>{{data.c2_unit}}</td>
                  <td>{{data.c2_density}}</td>
                </tr>
                <tr>
                  <th scope="row">C3</th>
                  <td>{{data.c3_unit}}</td>
                  <td>{{data.c3_density}}</td>
                </tr>
                <tr>
                  <th scope="row">(m.ad1)</th>
                  <td>{{data.mad1_unit}}</td>
                  <td>{{data.mad1_density}}</td>
                </tr>
                <tr>
                  <th scope="row">(m.ad2)</th>
                  <td>{{data.mad2_unit}}</td>
                  <td>{{data.mad2_density}}</td>
                </tr>
                <tr>
                  <th scope="row">(m.ad3)</th>
                  <td>{{data.mad3_unit}}</td>
                  <td>{{data.mad3_density}}</td>
                </tr>
                <tr>
                  <th scope="row">S1</th>
                  <td>{{data.s1_unit}}</td>
                  <td>{{data.s1_density}}</td>
                </tr>
                <tr>
                  <th scope="row">S2</th>
                  <td>{{data.s2_unit}}</td>
                  <td>{{data.s2_density}}</td>
                </tr>
                <tr>
                  <th scope="row">S3</th>
                  <td>{{data.s3_unit}}</td>
                  <td>{{data.s3_density}}</td>
                </tr>
                <tr>
                  <th scope="row">G1</th>
                  <td>{{data.g1_unit}}</td>
                  <td>{{data.g1_density}}</td>
                </tr>
                <tr>
                  <th scope="row">G2</th>
                  <td>{{data.g2_unit}}</td>
                  <td>{{data.g2_density}}</td>
                </tr>
                <tr>
                  <th scope="row">G3</th>
                  <td>{{data.g3_unit}}</td>
                  <td>{{data.g3_density}}</td>
                </tr>
                <tr>
                  <th scope="row">AD1</th>
                  <td>{{data.ad1_unit}}</td>
                  <td>{{data.ad1_density}}</td>
                </tr>
                <tr>
                  <th scope="row">AD2</th>
                  <td>{{data.ad2_unit}}</td>
                  <td>{{data.ad2_density}}</td>
                </tr>
                <tr>
                  <th scope="row">AD3</th>
                  <td>{{data.ad3_unit}}</td>
                  <td>{{data.ad3_density}}</td>
                </tr>
              </tbody>
            </table>
            <table class="table table-bordered">
              <tbody>
                <tr>
                  <td>목표공기량</td>
                  <td>{{data.air}}</td>
                </tr>
                <tr>
                  <td>골재수정계수</td>
                  <td>{{data.aggregate}}</td>
                </tr>
                <tr>
                  <td>시멘트 습윤밀도</td>
                  <td>{{data.wet}}</td>
                </tr>
              </tbody>
            </table>
            <table class="table table-hover table-striped">
              <tbody>
                  <tr>
                    <th>용기질량</th>
                    <td>{{data.common_mass}} g</td>
                  </tr>
                  <tr>
                    <th>용기+물</th>
                    <td>{{data.common_water}} g</td>
                  </tr>
                  <tr>
                    <th>용기용적(ml)</th>
                    <td>{{data.common_volume}} ml</td>
                  </tr>
                  <tr>
                    <th>슬럼프(mm)</th>
                    <td>{{data.input_slump}} mm</td>
                  </tr>
                  <tr>
                    <th>콘크리트 온도</th>
                    <td>{{data.input_temp}} °C</td>
                  </tr>
                  <tr>
                    <th>주수전질량(g)</th>
                    <td>{{data.input_before}} g</td>
                  </tr>
                  <tr>
                    <th>주수후질량(g)</th>
                    <td>{{data.input_after}} g</td>
                  </tr>
                  <tr>
                    <th>초기압력</th>
                    <td>{{data.input_i_pressure}} kPa</td>
                  </tr>
                  <tr>
                    <th>평형압력</th>
                    <td>{{data.input_e_pressure}} kPa</td>
                  </tr>
                  <tr>
                    <th>이론용적</th>
                    <td>{{data.mix_volume / 1000}} m³</td>
                  </tr>
                  <tr>
                    <th>단위용적질량</th>
                    <td>{{data.result_mass}} kg/m³</td>
                  </tr>
                  <tr>
                    <th>공기량</th>
                    <td>{{data.result_air}} %</td>
                  </tr>
                  <tr>
                    <th>단위수량</th>
                    <td>{{data.result_quantity}} kg/m³</td>
                  </tr>
              </tbody>
            </table>
          </div>
        </ng-template>
    </div>
  </div>

</div>